Plank.Renderer – plank Reference Manual

# Renderer

## Object Hierarchy:

## Description:

public abstract class Renderer : Object

Handles animated rendering. Uses a timer and continues requesting redraws for a widget until no more animation is needed.

All known sub-classes:

- DockRenderer

Namespace: Plank
Package: plank

## Content:

### Properties:

- public int64 frame_time { get; }
- public Widget widget { get; construct; }

### Creation methods:

- protected Renderer (Widget widget)
  Creates a new animation renderer.

### Methods:

- public void animated_draw ()
  Request re-drawing.
- protected abstract bool animation_needed (int64 frame_time)
  Determines if animation should continue.
- public abstract void draw (Context cr, int64 frame_time)
  Draws onto a context.
- protected void force_frame_time_update ()
  Force an immediate update of the frame_time property.
- protected abstract void initialize_frame (int64 frame_time)
  Preparations which are not requiring a drawing context yet.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref